#!/bin/sh

# This script is Copyright (c) 2014 James Sullins, All rights reserved.
# James (JC) Sullins, aka jcsullins
# No modifications or distribution without permission

TPTB=TPToolbox-2014-05-18-v40.bin

if [ \! -r ${TPTB} ];
then
	echo "Cannot find Touchpad Toolbox binary file ${TPTB}"
	exit 1
fi

echo "Checking novacom service ..."
novacom -l
rc=$?
if [ $rc -ne 0 ];
then
	if [ $rc -eq 1 ];
	then
		echo "Cannot find novacomd service. Try rebooting or re-installing novacomd"
		exit 2
	elif [ $rc -eq 127 ];
	then
		echo "Unable to find novacom program. Try re-installing novacomd"
		exit 4
	else
		echo "Unknown error rc=$rc checking for novacom service. (novacom -l)"
		exit 3
	fi
fi

echo "Loading TPToolbox ..."
novacom boot mem:// < ${TPTB}
rc=$?
if [ $rc -ne 0 ];
then
	if [ $rc -eq 1 ];
	then
		echo "Cannot connect to Touchpad."
		echo "Make sure Touchpad is connected with USB cable."
		echo "Make sure Touchpad is in webOS Recovery (bootie) mode."
		echo " (where big USB symbol shows on Touchpad screen)"
		exit 5
	else
		echo "Unknown error rc=$rc loading TPToolbox (via novacom boot)."
		exit 6
	fi
fi


