@echo off

REM This script is Copyright (c) 2014 James Sullins, All rights reserved.
REM James (JC) Sullins, aka jcsullins
REM No modifications or distribution without permission

set TPTB=TPToolbox-2014-05-18-v40.bin

if not exist %TPTB% goto NOTPTB

echo Setting Palm path ...
path %ProgramFiles%\Palm, Inc;%PATH%

echo Checking novacom service ...
novacom -l
if errorlevel 9009 goto NONC
if errorlevel 1 goto NOSVC

echo Loading TPToolbox ...
novacom boot mem:// < %TPTB%
if errorlevel 1 goto NOTP

goto EOP

:NOTPTB
echo .
echo Cannot find Touchpad Toolbox binary file %TPTB%
echo .
pause
goto EOP

:NONC
echo .
echo Cannot find novacom program. Try re-installing novacomd.
echo .
pause
goto EOP

:NOSVC
echo .
echo Cannot find novacomd service. Try rebooting or re-installing novacomd.
echo .
pause
goto EOP

:NOTP
echo .
echo Cannot connect to Touchpad.
echo Make sure Touchpad is connected with USB cable.
echo Make sure Touchpad is in webOS Recovery (bootie) mode
echo  (where big USB symbol shows on Touchpad screen)
echo .
pause
goto EOP

:EOP
REM END OF PROGRAM
